/* Buttons */

.button {
  min-height: 24px;
  padding: $container_padding $container_padding * 2;
  border: none;
  border-radius: $buttons_radius;

  @include font(button);
  @include button(flat-normal);
  &:hover { @include button(flat-hover); }
  &:active { @include button(flat-active); }
  &:checked { @include button(flat-checked); }
  &:insensitive { @include button(flat-insensitive); }
  &:focus { @include button(flat-focus); }
}

.icon-button {
  padding: $container_padding * 2;
  border-radius: $circular_radius;
  border: none;
  @include button(flat-normal);

  &:hover { @include button(flat-hover); }
  &:active { @include button(flat-active); }
  &:checked { @include button(flat-checked); }
  &:insensitive { @include button(flat-insensitive); }
  &:focus { @include button(flat-focus); }

  & > StIcon { icon-size: 16px; }
}
